#
# This file provides encription / decription of passwords that appear in the
# config file.  We use a rather simple and easy to crack system as we
# are attempting to make it, at least, not obvious what the real password is.
# We do NOT attempt to use any sort of thing that would get us in trouble with
# the export/inport athorities.

proc encript {key value} {
  set keyln [string length $key]
  set valueln [string length $value]
  while { [string length $key] < $valueln } {
    set key $key$key
  }
  set value [string reverse $value]
  set key   [string reverse $key]
  for {incr c 0} {$c < $valueln} {incr c} {
    lappend result  [expr {[scan [string index $key $c] %c] ^ \
			     [scan [string index $value $c] %c]}]
  }
  return $result
}

proc decript {key value} {
  set vln [llength $value]
  while { [string length $key] < $vln } {
    set key $key$key
  }
  set key [string reverse $key]
  for {incr c 0} {$c < $vln} {incr c} {
    append result [format %c [expr {[scan [string index $key $c] %c] ^ \
					[lindex $value $c]}]]
  }
  return [string reverse $result ]
}